Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002522Zandronum[All Projects] Bugpublic2015-11-14 15:482017-01-19 22:19
ReporterFastclick 
Assigned ToEdward-san 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version2.1 
Target Version3.0Fixed in Version3.0 
Summary0002522: sv_dropstyle 1 or 2, coursing items to desync online
Descriptionsubj
Steps To Reproduce1. zandronum.exe -iwad doom2.wad -file dropstyletest.pk3
2. load map01
3. set sv_dropstyle to 1 or 2
3. summon testdemon
4. kill it.

it should drop 4 clip's.

Reproduce offline and online.
Attached Files? file icon dropstyletest.pk3 [^] (4,900 bytes) 2015-11-14 15:48

- Relationships
child of 0000750resolvedEdward-san Missing DropItem prediction online 

-  Notes
User avatar (0013856)
Fastclick (reporter)
2015-11-19 15:30

Same on v2.1.2
User avatar (0014788)
Edward-san (developer)
2016-05-01 18:49

My fix idea to fix this with the minor network consumption is this pull request:https://bitbucket.org/Torr_Samaho/zandronum/pull-requests/92/fixed-item-dropping-physics-wasnt-in-sync/diff [^]
User avatar (0015217)
Fastclick (reporter)
2016-07-06 13:10

Oukay. "needs review". Can i have a build with fix, that mentioned above ?
User avatar (0015731)
Edward-san (developer)
2016-10-02 17:16

I'm thinking about adding a new sv option for this, considering the possibly high impact with the bandwidth with mods containing many actors dropping many items. What name do you suggest?
User avatar (0015732)
Fastclick (reporter)
2016-10-02 17:31
edited on: 2016-10-02 18:00

sv_syncdropeditems sounds nice.
or
Since cvar has a name "sv_dropstyle", may be call it "sv_dropstyle_sync".
or
Add more values to "sv_dropstyle" like
1 - Doom style
2 - Strife style
3 - same as 1, but synced over network
4 - same as 2, but synced over network

User avatar (0015733)
Edward-san (developer)
2016-10-02 18:16

I'll go with sv_syncdroppeditems, then.
User avatar (0015734)
Edward-san (developer)
2016-10-02 19:41

During the dev meeting it was decided there should be no sv option, but a feature depending on the client's connection type. See the updated pull request.
User avatar (0015742)
Torr Samaho (administrator)
2016-10-03 10:37

I added the updated patch.
User avatar (0016596)
Ru5tK1ng (updater)
2017-01-04 02:49

Tested this with r170101 and both dropstyles were consistent online and offline.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2015-11-14 15:48 Fastclick New Issue
2015-11-14 15:48 Fastclick File Added: dropstyletest.pk3
2015-11-19 15:30 Fastclick Note Added: 0013856
2015-11-19 19:59 Torr Samaho Product Version 3.0-beta => 2.1
2016-05-01 18:49 Edward-san Note Added: 0014788
2016-05-01 18:49 Edward-san Assigned To => Edward-san
2016-05-01 18:49 Edward-san Status new => needs review
2016-07-06 13:10 Fastclick Note Added: 0015217
2016-10-02 17:16 Edward-san Note Added: 0015731
2016-10-02 17:31 Fastclick Note Added: 0015732
2016-10-02 17:49 Fastclick Note Edited: 0015732 View Revisions
2016-10-02 17:53 Fastclick Note Edited: 0015732 View Revisions
2016-10-02 17:54 Fastclick Note Edited: 0015732 View Revisions
2016-10-02 17:56 Fastclick Note Edited: 0015732 View Revisions
2016-10-02 18:00 Fastclick Note Edited: 0015732 View Revisions
2016-10-02 18:16 Edward-san Note Added: 0015733
2016-10-02 19:41 Edward-san Note Added: 0015734
2016-10-03 10:37 Torr Samaho Note Added: 0015742
2016-10-03 10:37 Torr Samaho Status needs review => needs testing
2017-01-04 02:49 Ru5tK1ng Note Added: 0016596
2017-01-04 02:49 Ru5tK1ng Status needs testing => resolved
2017-01-04 02:49 Ru5tK1ng Resolution open => fixed
2017-01-04 02:49 Ru5tK1ng Fixed in Version => 3.0
2017-01-04 02:49 Ru5tK1ng Target Version => 3.0
2017-01-04 14:48 Edward-san Relationship added child of 0000750






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker